Subject: [AVT] Comments on draft-gmassey-avt-rtp-aptx-01

From: "Even, Roni" <[email-masked]>
Date: Tue, 6 May 2008 13:24:07 +0300

Hi,
I reviewed the draft and have some comments and questions.

1. You specify four different payload subtype types, the introduction section mentions just three of them. I was wondering if you can specify just one payload subtype and have parameters that will identify the separate apt-X modes(?). This may enable you to have a default mode that must be supported.

2. Section 3 title has apt-x but the text in the first line talks about apt-X Live.

3. I am not familiar with the apt-X codec but you mention that it compress 4 16bit words to 1 16 bit word, so I was wondering why the packetization requires packets that are based on 8-bit and not 16-bits resolution.

4. Section 3.1 describe the RTP header usage. It should have better text. Also the PT should discuss dynamic allocation and not static PT numbers.

5. In 3.1 after the first part of the payload header (end with SN) you repeat the header but say payload, this is not clear.

6. in 3.1 after the header you discuss only live and enhance apt-X. afterwards in 1) you have LL/RR but you do not say what is the LL and RR.

7. The example in the end of 3.1 was not clear to me after reading the text above it.

8. IANA consideration should be based on RFC 4288 - you can look at an example in other AVT drafts for example draft-ietf-avt-rfc3047-bis-05.

9. In the rate channel you say that typical rate is 48000. I could not see any text discussing the rate and there is no explanation about what are the allowed rates.

10. In section 5.2 you talk about a uri and configurations but there is no text explaining what these are.

11. In 5.2 a=fmtp you have aux=auxoff which is not specified in the IANA section.

12. Section 5.3 has uri and talks about delivery method which are not mentioned before and that makes the text un-clear.

13. Section 6 repeats section 5.3

Thanks
Roni Even

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: "Greg Massey" <[email-masked]>
Date: Wed, 14 May 2008 09:45:57 +0100

Hi Roni,

see answers inline, will update draft and distribute.

-----Original Message-----
From: Even, Roni [mailto:[email-masked]] 
Sent: 06 May 2008 11:24
To: [email-masked]
Cc: Greg Massey
Subject: Comments on draft-gmassey-avt-rtp-aptx-01

Hi,

1. You specify four different payload subtype types, the introduction
section mentions just three of them. I was wondering if you can specify
just one payload subtype and have parameters that will identify the
separate apt-X modes(?). This may enable you to have a default mode that
must be supported.

2. Section 3 title has apt-x but the text in the first line talks about
apt-X Live.

> There are three algorithms so I suppose the section header should
include all three algorithms to be explicit about
> the inclusion of apt-X Live.

3. I am not familiar with the apt-X codec but you mention that it
compress 4 16bit words to 1 16 bit word, so I was wondering why the
packetization requires packets that are based on 8-bit and not 16-bits
resolution.

> Enhanced apt-X and apt-X Live can operate at 24 bit audio and as such
require an 8 bit resolution.

4. Section 3.1 describe the RTP header usage. It should have better
text. Also the PT should discuss dynamic allocation and not static PT
numbers.

> I will update this section with a better description and include the
discussion on dynamic allocation.

5. In 3.1 after the first part of the payload header (end with SN) you
repeat the header but say payload, this is not clear.

> Fixed

6. in 3.1 after the header you discuss only live and enhance apt-X.
afterwards in 1) you have LL/RR but you do not say what is the LL and
RR.

> LL (Left/Left), RR (Right/Right)

7. The example in the end of 3.1 was not clear to me after reading the
text above it.

> OK I will work on this. I will assume that the example is not explicit
enough and provide background information to add clarity.

8. IANA consideration should be based on RFC 4288 - you can look at an
example in other AVT drafts for example draft-ietf-avt-rfc3047-bis-05.

> I will review this and adjust the draft where necessary.

9. In the rate channel you say that typical rate is 48000. I could not
see any text discussing the rate and there is no explanation about what
are the allowed rates.

> These where omitted in the initial draft last year because the initial
draft focused on using static PT and the allowable rates where specified
> elsewhere. Apologies, I will add these.

10. In section 5.2 you talk about a uri and configurations but there is
no text explaining what these are.

> Will add more detail for clarity and understanding.

11. In 5.2 a=fmtp you have aux=auxoff which is not specified in the IANA
section.

12. Section 5.3 has uri and talks about delivery method which are not
mentioned before and that makes the text un-clear.

> Will add more detail for clarity and understanding. 

> Removed

Thanks
Roni Even